Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 596609

Summary: Live migration failed when migration during boot
Product: Red Hat Enterprise Linux 6 Reporter: Mike Cao <bcao>
Component: qemu-kvmAssignee: Gerd Hoffmann <kraxel>
Status: CLOSED CURRENTRELEASE QA Contact: Virtualization Bugs <virt-bugs>
Severity: high Docs Contact:
Priority: high    
Version: 6.0CC: lihuang, llim, michen, ndai, qzhang, szhou, tburke, virt-maint
Target Milestone: rcKeywords: TestBlocker
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: qemu-kvm-0.12.1.2-2.82.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-07-05 08:17:40 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 599016    

Description Mike Cao 2010-05-27 06:36:52 UTC
Description of problem:
Start a RHEL 5.4 64 bit guest with -"spice",
Live migration failed when migration during reboot

Version-Release number of selected component (if applicable):
# uname -r
2.6.32-28.el6.x86_64
# rpm -q qemu-kvm
qemu-kvm-0.12.1.2-2.62.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Start a Start a RHEL 5.4 64 bit guest with "-spice port=5930,disable-ticketing -vga qxl:"
CLI:/usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -drive file=/home/RHEL-Server-5.4-64.raw,if=virtio,cache=none,werror=stop,rerror=stop,boot=on -net nic,macaddr=22:aa:33:aa:44:aa,model=virtio,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid `uuidgen` -boot c -cpu qemu64,+sse2 -smp 4 -m 4G -balloon none -monitor stdio -spice port=5930,disable-ticketing -vga qxl
2.After VM start ,do some operations in the guest ,then reboot it.
3.during reboot,do live migration.
  
Actual results:
Live migration failed .
in the qemu monitor displays "ram_save_block: update dirty pages log failed -2" in a loop.

Expected results:
Live Migration can be finished successfuly.

Additional info:
1.Do live migration during rhel 5.4 64 bit guest boot with "-spice" hit this issue Occasionally
2.Create a new image and do live migration with "-vnc",It can migrate successfully.

Comment 3 Amit Shah 2010-05-28 11:35:46 UTC
Does this also happen with a RHEL6 guest?

Comment 4 Mike Cao 2010-05-31 01:46:54 UTC
(In reply to comment #3)
> Does this also happen with a RHEL6 guest?    

yep,RHEL6 Guest also hit this issue.

CLI:
/usr/libexec/qemu-kvm -m 2G -smp 2 -drive file=rhel6_ext4.raw,format=raw,media=disk,if=virtio,boot=on,cache=off,werror=stop -net nic,vlan=0,macaddr=20:aa:11:23:91:19,model=virtio -net tap,vlan=0,script=/etc/qemu-ifup -monitor stdio -rtc-td-hack -cpu qemu64,+sse2 -uuid `uuidgen` -usbdevice tablet -startdate now -balloon none -spice port=5930,disable-ticketing -vga qxl

Guest info :
#uname -r 
2.6.32-28.el6.x86_64

Comment 5 Dor Laor 2010-05-31 13:26:40 UTC
Does it happen w/o spice?

Comment 6 Mike Cao 2010-06-01 02:03:39 UTC
(In reply to comment #5)
> Does it happen w/o spice?    

Using "-vnc" instead of "-spice",live migration Can be done successfully.

Comment 7 Qunfang Zhang 2010-06-03 09:16:26 UTC
I tried with winXP-32 guest, do not hit this issue.

Command line:
/usr/libexec/qemu-kvm -rtc-td-hack -no-hpet -usbdevice tablet -drive file=/mnt/winXP-32.qcow2,if=ide,format=qcow2,cache=none -net nic,macaddr=40:aa:30:aa:20:aa,model=rtl8139,vlan=0 -net tap,script=/etc/qemu-ifup,vlan=0 -uuid `uuidgen` -boot c -smp 2 -m 2G -spice port=5931,disable-ticketing -vga qxl -balloon none -monitor stdio

Comment 9 Miya Chen 2010-06-22 07:36:54 UTC
migrate using vnc in qemu-kvm-0.12.1.2-2.77.el6 during boot, still got this problem, so will change the bug summary.

# /usr/libexec/qemu-kvm -smp 2 -m 4G -drive file=rhel5.5-64-virtio.qcow2,if=none,format=qcow2,cache=none,werror=stop,rerror=stop,id=test1 -device ide-drive,drive=test1 -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,mac=20:20:20:11:16:12 -uuid `uuidgen` -cpu Penryn,+x2apic,check -monitor stdio -vnc :11 -qmp tcp:0:6006,server,nowait

Tried several times, this problem happened when start migration while bios + grub stage.

Comment 10 Dor Laor 2010-06-24 08:12:00 UTC
(In reply to comment #9)
> migrate using vnc in qemu-kvm-0.12.1.2-2.77.el6 during boot, still got this
> problem, so will change the bug summary.
> 
> # /usr/libexec/qemu-kvm -smp 2 -m 4G -drive
> file=rhel5.5-64-virtio.qcow2,if=none,format=qcow2,cache=none,werror=stop,rerror=stop,id=test1
> -device ide-drive,drive=test1 -netdev tap,id=hostnet0,vhost=on -device
> virtio-net-pci,netdev=hostnet0,mac=20:20:20:11:16:12 -uuid `uuidgen` -cpu
> Penryn,+x2apic,check -monitor stdio -vnc :11 -qmp tcp:0:6006,server,nowait
> 
> Tried several times, this problem happened when start migration while bios +
> grub stage.    

Do you get the same error message? It might be a different issue that demands a different bug

Comment 11 Miya Chen 2010-06-24 08:16:06 UTC
(In reply to comment #10)
> (In reply to comment #9)
> > migrate using vnc in qemu-kvm-0.12.1.2-2.77.el6 during boot, still got this
> > problem, so will change the bug summary.
> > 
> > # /usr/libexec/qemu-kvm -smp 2 -m 4G -drive
> > file=rhel5.5-64-virtio.qcow2,if=none,format=qcow2,cache=none,werror=stop,rerror=stop,id=test1
> > -device ide-drive,drive=test1 -netdev tap,id=hostnet0,vhost=on -device
> > virtio-net-pci,netdev=hostnet0,mac=20:20:20:11:16:12 -uuid `uuidgen` -cpu
> > Penryn,+x2apic,check -monitor stdio -vnc :11 -qmp tcp:0:6006,server,nowait
> > 
> > Tried several times, this problem happened when start migration while bios +
> > grub stage.    
> 
> Do you get the same error message? It might be a different issue that demands a
> different bug    

yes, got the same error message, in the qemu monitor displays "ram_save_block: update dirty pages log failed -2" in a loop.

Comment 12 Dor Laor 2010-06-24 08:29:34 UTC
Changing back to assigned state

Comment 13 Dor Laor 2010-06-24 08:30:31 UTC
Oops, just realized the bug was not in modified state before.. -> post

Comment 17 Shirley Zhou 2010-07-01 04:15:56 UTC
Verify this bug with qemu-kvm-0.12.1.2-2.82.el6 as following, this bug does not exist.
CLI:
 /usr/libexec/qemu-kvm -m 8G -smp 8 -cpu qemu64,+x2apic -usbdevice tablet -drive file=/mnt/RHEL-Server-6.0-64-virtio.qcow2,if=none,id=drive-virtio0,boot=on,werror=stop,rerror=stop,cache=none,format=qcow2 -device virtio-blk-pci,drive=drive-virtio0,id=virtio-blk-pci0 -netdev tap,id=hostnet0,vhost=on,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=0a:00:34:3F:20:1A,bus=pci.0 -uuid f25687ba-e2b3-4179-a2aa-5fc4aa0fc051 -rtc-td-hack -no-kvm-pit-reinjection -monitor stdio -name 64-114 -qmp tcp:0:4444,server,nowait -vnc :1 -boot c

    Guest                    |spice                 |vnc

    RHEL5.4-64           |ok                     |ok
    __________________________________________
    RHEL5.5-64           |ok                     |ok
    __________________________________________
    RHEL6.0-64           |ok                     |ok
    __________________________________________
    RHEL4.8-32           |                        |ok
    __________________________________________
    win08-32               |ok                    |
    __________________________________________
    win7-32                 |ok                    |